Subject: Re: [PATCH] Experimental new bonding driver mode=batman

From: Jonathan Toppins <[email-masked]>
Date: Tue, 19 May 2015 03:58:19 -0400

On 5/19/15 2:09 AM, Patrick Simmons wrote:
> Hello,
>
> I've written a new mode for the kernel bonding driver.  It's similar to
> the round-robin mode, but it keeps statistics on TCP resends so as to
> favor slave devices with more bandwidth when choosing where to send
> packets.  I've tested it on two laptops using WiFi/Ethernet and it seems
> to work okay, but it should be considered experimental.
>
> Still, it should be safe to apply this patch as it doesn't do anything
> unless you specify "mode=batman" on the driver command line.
>
> Signed-off-by: Patrick Simmons <[email-masked]>
>

It is usually a good idea to add the bonding maintainers directly, have 
added them. See <kernel>/MAINTAINERS for list.